<ng-container *ngIf="(file$ | async) === null">
    <div class="dropzone"
    (dragover)="allowDrop($event)"
    (drop)="drop($event)"
    (click)="openFileInput()">
        <i class="las la-images"></i>
        <p>Arrasta o haz click aquí</p>
    </div>

    <input
    type="file"
    #fileInput
    class="dropzone-input"
    (change)="inputChange($event)">
</ng-container>

<ng-container *ngIf="file$ | async as file">
    <div class="dropzone preview">
        <img [src]="file">
        <button class="preview-close"
        (click)="reset()"><i class="las la-times"></i></button>
    </div>
</ng-container>
